Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001063 [Piwigo] tags major always 2009.07.18 23:58 2010.05.04 23:51
Reporter plg View Status public  
Assigned To plg
Priority high Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0 Product Version 2.0.3
  Target Version 2.1.0 Product Build
Summary 0001063: error when adding a tag with chinese only characters
Description topic:15234

If a user tries to add a tag with only chinese characters, the str2url function returns an empty string, which is forbidden in tags.url_name column.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002873)
flop25 (developer)
2009.09.01 15:54

http://piwigo.org/forum/viewtopic.php?pid=108951#p108951 [^]
(0003832)
svn (reporter)
2010.05.04 01:31

[Subversion] r6060 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 1063 fixed: avoid error when adding a tag in chinese or russian characters.
In any language where the str2url would return an empty string. The behavior
doesn't change for european characters.

rvelices warned me about the many issues we might encounter with copy/paste of
the URL and required url_encode/url_decode BUT after many tests (Linux with
Firefox 3.0/Google Chrome 5, MacOS 10.6 with Firefox/Safari, WindowsXP with
IE6/Firefox) I've found 0 problem, even with the most error prone mode
$conf['tag_url_style'] = 'tag'

- Issue History
Date Modified Username Field Change
2009.07.18 23:58 plg New Issue
2009.07.18 23:58 plg Status new => assigned
2009.07.18 23:58 plg Assigned To => plg
2009.07.18 23:58 plg browser => any
2009.07.18 23:58 plg Web server => Apache 1.3.x
2009.09.01 15:54 flop25 Note Added: 0002873
2010.04.14 17:45 plg Priority normal => high
2010.04.14 17:45 plg Target Version 2.0.4 => 2.1.0RC3
2010.04.27 01:08 plg Target Version 2.1.0RC3 => 2.1.0
2010.05.04 01:31 svn Checkin
2010.05.04 01:31 svn Note Added: 0003832
2010.05.04 23:51 plg Status assigned => closed
2010.05.04 23:51 plg Resolution open => fixed
2010.05.04 23:51 plg Fixed in Version => 2.1.0


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker